package premium_store.controller.DTO;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class UserSignupDto {
    @NotBlank
    @Size(min = 3, max = 64)
    private String login;

    @NotBlank
    @Size(min = 6, max = 64)
    private String password;

    @NotBlank
    private String email;

    @NotBlank
    private String balance;

    @NotBlank
    @Size(min = 6, max = 64)
    private String passwordConfirm;

    public void setLogin(String login){
        this.login = login;
    }

    public void setPassword(String password){
        this.password = password;
    }

    public void setPasswordConfirm(String passwordConfirm){
        this.passwordConfirm = passwordConfirm;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getLogin(){
        return login;
    }

    public  String getPassword(){
        return password;
    }

    public  String getPasswordConfirm(){
        return passwordConfirm;
    }

    public String getEmail() {
        return email;
    }

    public String getBalance() {
        return balance;
    }
}
